<!DOCTYPE html>
<html lang="en">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="../style.css" type="text/css">
<link rel="icon" type="image/png" href="icon.png">
<title>OpenBSD WiFi 802.1x WPA-EAP setup</title>
<body>
	<h1>azarus' page</h1>
<h2>OpenBSD WiFi 802.1x WPA-EAP setup</h2>
<p>Date: 2018-02-09</p>
<p>As I take my laptop which has OpenBSD installed to school sometimes, I'd like to
connect to the provided WiFi access point. Now, since they employ WPA 802.1x
encrption with a WPA-EAP authentication scheme, that needs some manual setting
up. In my experience, this applies to most WiFi connections that need a username
and password.</p>

<b>Note, I'll assume you have <i>athn0</i> as a WiFi interface, adapt this to your
driver if it's different.</b>

<h3>Step 1: Prerequsites</h3>
<p>Install wpa_supplicant:</p>
<pre># pkg_add wpa_supplicant</pre>

<h3>Step 2: Discover the AP</h3>
<p>To see the list of available APs, do:<p/>
<pre># ifconfig athn0 scan</pre>

<h3>Step 3: Connect to the AP</h3>
<p>To connect, you do:</p>
<pre># ifconfig athn0 nwid [SSID] wpa wpaakms 802.1x up</pre>
<h3>Step 4: Configure wpa_supplicant</h3>
<p>Append this to your `/etc/wpa_supplicant.conf`:</p>
<pre>network={
	ssid="[SSID]"
	key_mgmt=WPA_EAP
	eap=PEAP
	identity="[yourusername]"
	password="[yourpassword]"
}</pre>

<h3>Step 5: Authenticate to the AP</h3>
<p>Now, you can run this:</p>
<pre># wpa_supplicant -i athn0 -c /etc/wpa_supplicant.conf</pre>

<h3>Step 6: Get a DHCP lease</h3>
<p>And for good measure, ask for a DHCP lease:</p>
<pre># dhclient athn0</pre>
<p>Now you should be connected! Give yourself a pat on the back. 😊</p>
	<footer>
	<hr>
	<p>Unless otherwise noted, this content is <a href="https://creativecommons.org/publicdomain/zero/1.0/">
	publicly licensed (CC0)</a>.</p>
	<p>This website is served by the <a href="https://man.openbsd.org/httpd">httpd</a> daemon, running on OpenBSD 6.3.</p>
	</footer>
</body>
</html>
